Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 15 Apr 2023 16:43:29 +0000 (UTC)

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I made 2 return requests from 2 different orders, when the courier arrived he collected both, a second courier called the next day and I informed both were already collected, but I got a cancellation message right after:

“ We've cancelled your return for order # 9421813704 , Printed Midi Wrap Skirt with A... +1items as requested by you. Please reach out to us for anything further.”

I have been following up for more than 2 weeks now with no update … it’s the most frustrating experience ever !!!! I mean do I have to write to the CEO of the company for this to be sorted ???? How long does it take to check with your warehouse, which is the only answer I have been getting !!!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6072909